-- phpMyAdmin SQL Dump
-- version 3.5.7
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Oct 08, 2013 at 12:57 PM
-- Server version: 5.5.30
-- PHP Version: 5.3.19

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `tool`
--

DELIMITER $$
--
-- Procedures
--
DROP PROCEDURE IF EXISTS `GenerateOrgUnitPaths`$$
CREATE DEFINER=`tool`@`localhost` PROCEDURE `GenerateOrgUnitPaths`(IN prefix_block_length INT)
BEGIN
  DECLARE org_unit_id INT;
  DECLARE done INT DEFAULT 0;
  DECLARE idx INT DEFAULT 0;
  DECLARE org_unit_path VARCHAR(30);
  DECLARE org_unit_cursor1 CURSOR FOR SELECT `OrganizationUnit_ID` FROM `OrganizationUnit` WHERE `OrganizationUnit_ID`=`Parent_ID`; 
  DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = 1;
  
  
  UPDATE `OrganizationUnit` SET `Path` = NULL; 
  
  OPEN org_unit_cursor1;
  REPEAT
    FETCH org_unit_cursor1 INTO org_unit_id;
    IF NOT done THEN
      SET idx = idx + 1;
      SET org_unit_path = LPAD(idx, prefix_block_length, '0');
      UPDATE `OrganizationUnit` SET `Path`=org_unit_path  WHERE `OrganizationUnit_ID`=org_unit_id;
      CALL `GenerateOrgUnitSubtreePaths`(org_unit_id, org_unit_path, prefix_block_length);
    END IF;
  UNTIL done END REPEAT;

  CLOSE org_unit_cursor1;  
END$$

DROP PROCEDURE IF EXISTS `GenerateOrgUnitSubtreePaths`$$
CREATE DEFINER=`tool`@`localhost` PROCEDURE `GenerateOrgUnitSubtreePaths`(IN parent INT, IN parent_path VARCHAR(30), IN prefix_block_length INT)
BEGIN
  DECLARE org_unit_id INT;
  DECLARE done INT DEFAULT 0;
  DECLARE idx INT DEFAULT 0;
  DECLARE org_unit_path VARCHAR(30);
  DECLARE org_unit_cursor2 CURSOR FOR SELECT `OrganizationUnit_ID` FROM `OrganizationUnit` WHERE `Parent_ID`=parent AND `OrganizationUnit_ID` != parent_id; 
  DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = 1;
  
  OPEN org_unit_cursor2;
  REPEAT
    FETCH org_unit_cursor2 INTO org_unit_id;
    IF NOT done THEN
      SET idx = idx + 1;
      SET org_unit_path = CONCAT(parent_path, LPAD(idx, prefix_block_length, '0'));
      UPDATE `OrganizationUnit` SET `Path`=org_unit_path WHERE `OrganizationUnit_ID`=org_unit_id;
      CALL `GenerateOrgUnitSubtreePaths`(org_unit_id, org_unit_path, prefix_block_length);
    END IF;
  UNTIL done END REPEAT;
  CLOSE org_unit_cursor2;  
END$$

--
-- Functions
--
DROP FUNCTION IF EXISTS `GetProjectIDFromTaskID`$$
CREATE DEFINER=`tool`@`localhost` FUNCTION `GetProjectIDFromTaskID`(TID INT) RETURNS int(11)
    DETERMINISTIC
BEGIN
        DECLARE WID INT;
        DECLARE PID INT;
        IF ((SELECT Task_ID FROM Task WHERE Task_ID = TID) IS NULL) THEN
            SET PID = NULL;
            RETURN PID;
        ELSE
            SET WID = (SELECT WorkPackage_ID FROM Task WHERE Task_ID = TID);
            SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
            WHILE (PID IS NULL) DO
                SET WID = (SELECT Parent_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
                SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
            END WHILE;
            RETURN PID;
        END IF;
    END$$

DROP FUNCTION IF EXISTS `GetProjectIDFromWorkPackageID`$$
CREATE DEFINER=`tool`@`localhost` FUNCTION `GetProjectIDFromWorkPackageID`(WPID INT) RETURNS int(11)
    DETERMINISTIC
BEGIN
        DECLARE WID INT;
        DECLARE PID INT;
        IF ((SELECT WorkPackage_ID FROM WorkPackage WHERE WorkPackage_ID = WPID) IS NULL) THEN
            SET PID = NULL;
            RETURN PID;
        ELSE
            SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WPID);
			SET WID = WPID;
            WHILE (PID IS NULL) DO
                SET WID = (SELECT Parent_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
                SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
            END WHILE;
            RETURN PID;
        END IF;
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `Actuals`
--

DROP TABLE IF EXISTS `Actuals`;
CREATE TABLE IF NOT EXISTS `Actuals` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `ChargeNumber` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `Hours` decimal(4,1) NOT NULL,
  `Date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Project` text COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY `EID` (`EID`,`ChargeNumber`,`Year`,`FiscalMonth`),
  KEY `ChargeNumber` (`ChargeNumber`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `ActualsCost`
--

DROP TABLE IF EXISTS `ActualsCost`;
CREATE TABLE IF NOT EXISTS `ActualsCost` (
  `Project_SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Activity_SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityName` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `CreationDate` date NOT NULL,
  `PostingDate` date NOT NULL,
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `Description` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `Category` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Quantity` double NOT NULL,
  `Value_USD` double NOT NULL,
  `Value_CZK` double NOT NULL,
  `Value` double NOT NULL,
  `Currency` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  KEY `Activity_SAP_ID` (`Activity_SAP_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `ActualsWaste`
--

DROP TABLE IF EXISTS `ActualsWaste`;
CREATE TABLE IF NOT EXISTS `ActualsWaste` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `ChargeNumber` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `Hours` decimal(4,1) NOT NULL,
  `Date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Project` text COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY `EID` (`EID`,`ChargeNumber`,`Year`,`FiscalMonth`),
  KEY `ChargeNumber` (`ChargeNumber`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `Advisor`
--

DROP TABLE IF EXISTS `Advisor`;
CREATE TABLE IF NOT EXISTS `Advisor` (
  `EID` varchar(7) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `Surname` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `Domain` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `Role` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY `Advisor_UNIQUE` (`EID`,`Role`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `AOPCalendar`
--

DROP TABLE IF EXISTS `AOPCalendar`;
CREATE TABLE IF NOT EXISTS `AOPCalendar` (
  `Year` year(4) NOT NULL,
  `Jan` int(11) DEFAULT NULL,
  `Feb` int(11) DEFAULT NULL,
  `Mar` int(11) DEFAULT NULL,
  `Apr` int(11) DEFAULT NULL,
  `May` int(11) DEFAULT NULL,
  `Jun` int(11) DEFAULT NULL,
  `Jul` int(11) DEFAULT NULL,
  `Aug` int(11) DEFAULT NULL,
  `Sep` int(11) DEFAULT NULL,
  `Oct` int(11) DEFAULT NULL,
  `Nov` int(11) DEFAULT NULL,
  `Dec` int(11) DEFAULT NULL,
  PRIMARY KEY (`Year`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `CostCenter`
--

DROP TABLE IF EXISTS `CostCenter`;
CREATE TABLE IF NOT EXISTS `CostCenter` (
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `TaskNamePrefix` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`CostCenter_ID`),
  UNIQUE KEY `TaskNamePrefix` (`TaskNamePrefix`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `Customer`
--

DROP TABLE IF EXISTS `Customer`;
CREATE TABLE IF NOT EXISTS `Customer` (
  `Customer_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Responsible` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Remarks` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`Customer_ID`),
  KEY `Customer_Person_fk` (`Responsible`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=13 ;

-- --------------------------------------------------------

--
-- Table structure for table `CustomerProgram`
--

DROP TABLE IF EXISTS `CustomerProgram`;
CREATE TABLE IF NOT EXISTS `CustomerProgram` (
  `Program_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Customer_ID` int(11) NOT NULL,
  `Program` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `Remarks` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`Program_ID`),
  KEY `CustomerProgram_Customer_fk` (`Customer_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=30 ;

-- --------------------------------------------------------

--
-- Table structure for table `CustomerProgramCall`
--

DROP TABLE IF EXISTS `CustomerProgramCall`;
CREATE TABLE IF NOT EXISTS `CustomerProgramCall` (
  `Call_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Program_ID` int(11) NOT NULL,
  `Call` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `Remarks` text COLLATE utf8_unicode_ci,
  `OpeningDate` date DEFAULT NULL,
  `ClosingDate` date DEFAULT NULL,
  `CostShare` decimal(3,2) DEFAULT NULL,
  `Responsible` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Call_ID`),
  KEY `CustomerProgramCall_CustomerProgram_fk` (`Program_ID`),
  KEY `CustomerProgramCall_Person_fk` (`Responsible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `ExchangeRate`
--

DROP TABLE IF EXISTS `ExchangeRate`;
CREATE TABLE IF NOT EXISTS `ExchangeRate` (
  `SourceCurrency` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `TargetCurrency` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `Year` int(11) NOT NULL,
  `Month` int(11) NOT NULL,
  `Value` decimal(8,2) NOT NULL,
  PRIMARY KEY (`SourceCurrency`,`TargetCurrency`,`Year`,`Month`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Triggers `ExchangeRate`
--
DROP TRIGGER IF EXISTS `ExchangeRateBudgetsUpdate`;
DELIMITER //
CREATE TRIGGER `ExchangeRateBudgetsUpdate` BEFORE UPDATE ON `ExchangeRate`
 FOR EACH ROW BEGIN
      
      
      
      IF ((NEW.`Value` != OLD.`Value`) 
        AND (NEW.`Month` = OLD.`Month`) AND (NEW.`Year` = OLD.`Year`)
        AND (NEW.`SourceCurrency` = OLD.`SourceCurrency`) 
        AND (NEW.`TargetCurrency` = OLD.`TargetCurrency`)
        AND (NEW.`SourceCurrency` = 'CZK') AND (NEW.`TargetCurrency` = 'USD')) 
      THEN
          
          CASE NEW.`Month`
            WHEN 1 THEN
              UPDATE `TaskPlan` SET `January`=ROUND(`January` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 2 THEN
              UPDATE `TaskPlan` SET `February`=ROUND(`February` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 3 THEN
              UPDATE `TaskPlan` SET `March`=ROUND(`March` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 4 THEN
              UPDATE `TaskPlan` SET `April`=ROUND(`April` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 5 THEN
              UPDATE `TaskPlan` SET `May`=ROUND(`May` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 6 THEN
              UPDATE `TaskPlan` SET `June`=ROUND(`June` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 7 THEN
              UPDATE `TaskPlan` SET `July`=ROUND(`July` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 8 THEN
              UPDATE `TaskPlan` SET `August`=ROUND(`August` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 9 THEN
              UPDATE `TaskPlan` SET `September`=ROUND(`September` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 10 THEN
              UPDATE `TaskPlan` SET `October`=ROUND(`October` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 11 THEN
              UPDATE `TaskPlan` SET `November`=ROUND(`November` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
            WHEN 12 THEN
              UPDATE `TaskPlan` SET `December`=ROUND(`December` * OLD.`Value` / NEW.`Value`) WHERE `Year`=NEW.`Year`;
          END CASE;
      END IF;
  END
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `FiscalCalendar`
--

DROP TABLE IF EXISTS `FiscalCalendar`;
CREATE TABLE IF NOT EXISTS `FiscalCalendar` (
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `From` date NOT NULL,
  `To` date NOT NULL,
  `AOPHours` int(11) NOT NULL,
  UNIQUE KEY `Year` (`Year`,`FiscalMonth`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `GlobalSetting`
--

DROP TABLE IF EXISTS `GlobalSetting`;
CREATE TABLE IF NOT EXISTS `GlobalSetting` (
  `Key` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `Value` text COLLATE utf8_unicode_ci,
  `Default` text COLLATE utf8_unicode_ci NOT NULL,
  `DataType` enum('string','float','int','ufloat','uint','boolean') COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`Key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `Hour`
--

DROP TABLE IF EXISTS `Hour`;
CREATE TABLE IF NOT EXISTS `Hour` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `Percentage` decimal(3,2) DEFAULT '1.00',
  `Jan` int(11) DEFAULT NULL,
  `Feb` int(11) DEFAULT NULL,
  `Mar` int(11) DEFAULT NULL,
  `Apr` int(11) DEFAULT NULL,
  `May` int(11) DEFAULT NULL,
  `Jun` int(11) DEFAULT NULL,
  `Jul` int(11) DEFAULT NULL,
  `Aug` int(11) DEFAULT NULL,
  `Sep` int(11) DEFAULT NULL,
  `Oct` int(11) DEFAULT NULL,
  `Nov` int(11) DEFAULT NULL,
  `Dec` int(11) DEFAULT NULL,
  KEY `EID` (`EID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `Log`
--

DROP TABLE IF EXISTS `Log`;
CREATE TABLE IF NOT EXISTS `Log` (
  `Log_ID` int(11) NOT NULL AUTO_INCREMENT,
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `SQL` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `Error` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Info` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`Log_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=96477 ;

-- --------------------------------------------------------

--
-- Table structure for table `LogData`
--

DROP TABLE IF EXISTS `LogData`;
CREATE TABLE IF NOT EXISTS `LogData` (
  `LogID` int(11) NOT NULL AUTO_INCREMENT,
  `Responsible` char(7) COLLATE utf8_unicode_ci NOT NULL,
  `Created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `Type` enum('debug','info','notice','warning','error','fatal') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'info',
  `Batch` varchar(60) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Group` varchar(60) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ObjectType` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ObjectID` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Message` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`LogID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=56295 ;

-- --------------------------------------------------------

--
-- Table structure for table `NeedToPursue`
--

DROP TABLE IF EXISTS `NeedToPursue`;
CREATE TABLE IF NOT EXISTS `NeedToPursue` (
  `NeedToPursue_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  `PotentialCustomer` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`NeedToPursue_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `News`
--

DROP TABLE IF EXISTS `News`;
CREATE TABLE IF NOT EXISTS `News` (
  `News_ID` int(11) NOT NULL AUTO_INCREMENT,
  `PublishDate` datetime DEFAULT NULL,
  `Title` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Annotation` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `Text` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`News_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

-- --------------------------------------------------------

--
-- Table structure for table `OrganizationUnit`
--

DROP TABLE IF EXISTS `OrganizationUnit`;
CREATE TABLE IF NOT EXISTS `OrganizationUnit` (
  `OrganizationUnit_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Parent_ID` int(11) NOT NULL,
  `Leader` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Type` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Short` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Path` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Virtual` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`OrganizationUnit_ID`),
  KEY `OrganizationUnit_fk` (`Leader`),
  KEY `OrganizationUnit_fk1` (`Parent_ID`),
  KEY `OrganizationUnit_fk2` (`CostCenter_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=75 ;

-- --------------------------------------------------------

--
-- Table structure for table `Person`
--

DROP TABLE IF EXISTS `Person`;
CREATE TABLE IF NOT EXISTS `Person` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `Surname` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CostCenter` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'EEEPZZA1',
  `Email` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `OrganizationUnit_ID` int(11) NOT NULL,
  `Comment` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`EID`),
  KEY `fk_costcenter` (`CostCenter`),
  KEY `Person_fk_idx` (`OrganizationUnit_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `Person_Task`
--

DROP TABLE IF EXISTS `Person_Task`;
CREATE TABLE IF NOT EXISTS `Person_Task` (
  `Person_Task` int(11) NOT NULL AUTO_INCREMENT,
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Task_ID` int(11) NOT NULL,
  `Year` year(4) NOT NULL,
  `Month` int(11) NOT NULL,
  `Hours` int(11) DEFAULT '0',
  `Version` int(11) DEFAULT '0',
  `Modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`Person_Task`),
  KEY `EID` (`EID`),
  KEY `Task_ID` (`Task_ID`),
  KEY `Person_Task_ibfk_3` (`Task_ID`,`Year`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=41953 ;

-- --------------------------------------------------------

--
-- Table structure for table `ProductLine`
--

DROP TABLE IF EXISTS `ProductLine`;
CREATE TABLE IF NOT EXISTS `ProductLine` (
  `ProductName` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`ProductName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `Project`
--

DROP TABLE IF EXISTS `Project`;
CREATE TABLE IF NOT EXISTS `Project` (
  `Project_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `EU_SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PIPM` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `TM` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PMOE` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PPaC` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Type` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Internal',
  `Customer` int(11) DEFAULT NULL,
  `Responsibility` int(11) DEFAULT NULL,
  `Description` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` date DEFAULT NULL,
  `Phase` enum('Planned','Closed','Active','Cancelled') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Planned',
  `State` int(11) NOT NULL DEFAULT '0',
  `Remark` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LastStateChange` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `KeyCode` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `EUKeyCode` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PO` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PO_number` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PMO` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Start` date DEFAULT NULL,
  `End` date DEFAULT NULL,
  `TotalBudget` decimal(20,2) DEFAULT NULL,
  `Program_ID` int(11) DEFAULT NULL,
  `Call_ID` int(11) DEFAULT NULL,
  `ResponsibleUnit` int(11) DEFAULT NULL,
  PRIMARY KEY (`Project_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `PIPM` (`PIPM`),
  KEY `PMOE` (`PMOE`),
  KEY `PPaC` (`PPaC`),
  KEY `TM` (`TM`),
  KEY `State` (`State`),
  KEY `Customer` (`Customer`),
  KEY `Responsibility` (`Responsibility`),
  KEY `Project_CustomerProgram_fk` (`Program_ID`),
  KEY `Project_CustomerProgramCall_fk` (`Call_ID`),
  KEY `Project_OrganizationUnit_fk` (`ResponsibleUnit`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4964 ;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectCharter`
--

DROP TABLE IF EXISTS `ProjectCharter`;
CREATE TABLE IF NOT EXISTS `ProjectCharter` (
  `ProjectCharter_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CostShare` float DEFAULT NULL,
  `LineManager` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Owner` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Status` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `CreationDateTime` datetime NOT NULL,
  `Customer_ID` int(11) NOT NULL,
  `Program_ID` int(11) DEFAULT NULL,
  `Call_ID` int(11) DEFAULT NULL,
  `Responsibility_ID` int(11) NOT NULL,
  `Year` year(4) NOT NULL,
  `DaysForFinalApproval` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ProjectCharter_ID`),
  KEY `ProjectCharter_fk` (`Owner`),
  KEY `ProjectCharter_fk1` (`LineManager`),
  KEY `ProjectCharter_fk2` (`Customer_ID`),
  KEY `ProjectCharter_fk3` (`Responsibility_ID`),
  KEY `ProjectCharter_CustomerProgram_fk` (`Program_ID`),
  KEY `ProjectCharter_CustomerProgramCall_fk` (`Call_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=58 ;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectCharterApprover`
--

DROP TABLE IF EXISTS `ProjectCharterApprover`;
CREATE TABLE IF NOT EXISTS `ProjectCharterApprover` (
  `ProjectCharterApprover_ID` int(11) NOT NULL AUTO_INCREMENT,
  `ProjectCharter_ID` int(11) NOT NULL,
  `Version` int(11) NOT NULL,
  `Role` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `Approver_EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Surname` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Email` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Approval` tinyint(4) NOT NULL DEFAULT '0',
  `DecisionDateTime` datetime DEFAULT NULL,
  `Comment` text COLLATE utf8_unicode_ci,
  `AutoApproved` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`ProjectCharterApprover_ID`),
  KEY `ProjectCharterApprover_fk` (`ProjectCharter_ID`,`Version`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=36 ;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectCharterApproverHistory`
--

DROP TABLE IF EXISTS `ProjectCharterApproverHistory`;
CREATE TABLE IF NOT EXISTS `ProjectCharterApproverHistory` (
  `ProjectCharter_ID` int(11) NOT NULL,
  `Version` int(11) NOT NULL,
  `CreationDateTime` datetime NOT NULL,
  `Responsible` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `LatestVersion` tinyint(4) NOT NULL DEFAULT '0',
  `BudgetVersion` int(11) DEFAULT NULL,
  `FileVersion` int(11) DEFAULT NULL,
  `EmailContent` text COLLATE utf8_unicode_ci,
  `FinalApprovalDate` int(11) DEFAULT NULL,
  PRIMARY KEY (`ProjectCharter_ID`,`Version`),
  KEY `ProjectCharterApprovalHistory_fk` (`Responsible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectCharterBudget`
--

DROP TABLE IF EXISTS `ProjectCharterBudget`;
CREATE TABLE IF NOT EXISTS `ProjectCharterBudget` (
  `ProjectCharterBudget_ID` int(11) NOT NULL AUTO_INCREMENT,
  `ProjectCharter_ID` int(11) NOT NULL,
  `Version` int(11) NOT NULL,
  `ResourceType` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `TechnicalGroup` int(11) DEFAULT NULL,
  `Subcontractor` int(11) DEFAULT NULL,
  `BudgetQ1` float DEFAULT NULL,
  `BudgetQ2` float DEFAULT NULL,
  `BudgetQ3` float DEFAULT NULL,
  `BudgetQ4` float DEFAULT NULL,
  PRIMARY KEY (`ProjectCharterBudget_ID`),
  KEY `ProjectCharterBudget_fk` (`TechnicalGroup`),
  KEY `ProjectCharterBudget_fk1` (`Version`),
  KEY `ProjectCharterBudget_fk2` (`ProjectCharter_ID`),
  KEY `ProjectCharterBudget_fk3` (`Subcontractor`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1388 ;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectCharterBudgetHistory`
--

DROP TABLE IF EXISTS `ProjectCharterBudgetHistory`;
CREATE TABLE IF NOT EXISTS `ProjectCharterBudgetHistory` (
  `ProjectCharter_ID` int(11) NOT NULL,
  `Version` int(11) NOT NULL,
  `CreationDateTime` datetime NOT NULL,
  `Responsible` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Comment` text COLLATE utf8_unicode_ci,
  `LatestVersion` tinyint(4) NOT NULL,
  PRIMARY KEY (`Version`,`ProjectCharter_ID`),
  KEY `ProjectCharterBudgetHistory_fk` (`ProjectCharter_ID`),
  KEY `ProjectCharterBudgetHistory_fk1` (`Responsible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectCharterFileHistory`
--

DROP TABLE IF EXISTS `ProjectCharterFileHistory`;
CREATE TABLE IF NOT EXISTS `ProjectCharterFileHistory` (
  `ProjectCharter_ID` int(11) NOT NULL,
  `Version` int(11) NOT NULL,
  `CreationDateTime` datetime NOT NULL,
  `FileName` varchar(1000) COLLATE utf8_unicode_ci NOT NULL,
  `Responsible` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `OwnerComment` text COLLATE utf8_unicode_ci,
  `LineManagerComment` text COLLATE utf8_unicode_ci,
  `LatestVersion` tinyint(4) NOT NULL,
  `Committed` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Version`,`ProjectCharter_ID`),
  KEY `ProjectCharterFileHistory_fk` (`Responsible`),
  KEY `ProjectCharterFileHistory_fk1` (`ProjectCharter_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectFound`
--

DROP TABLE IF EXISTS `ProjectFound`;
CREATE TABLE IF NOT EXISTS `ProjectFound` (
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `Blacklisted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`SAP_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `ProjectFoundPlan`
--

DROP TABLE IF EXISTS `ProjectFoundPlan`;
CREATE TABLE IF NOT EXISTS `ProjectFoundPlan` (
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` int(11) NOT NULL,
  `LastUpdated` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Plan` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`SAP_ID`,`Year`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `Pursuit`
--

DROP TABLE IF EXISTS `Pursuit`;
CREATE TABLE IF NOT EXISTS `Pursuit` (
  `Pursuit_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Customer_ID` int(11) NOT NULL,
  `Program_ID` int(11) DEFAULT NULL,
  `Call_ID` int(11) DEFAULT NULL,
  `CostShare` decimal(3,2) DEFAULT NULL,
  `Name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `Status` int(11) DEFAULT NULL,
  `CreatedDate` datetime DEFAULT NULL,
  `LastUpdatedDate` datetime DEFAULT NULL,
  `PreScreenDate` datetime DEFAULT NULL,
  `PnPDate` datetime DEFAULT NULL,
  `BnBDate` datetime DEFAULT NULL,
  `PricingDate` datetime DEFAULT NULL,
  `DeadlineDate` date DEFAULT NULL,
  `MarketingStudyDate` datetime DEFAULT NULL,
  `GreenTeamReviewDate` datetime DEFAULT NULL,
  `RedTeamReviewDate` datetime DEFAULT NULL,
  `SFDCNumber` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PursuitManager` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PursuitPI` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Remarks` text COLLATE utf8_unicode_ci,
  `ClosureResult` int(11) DEFAULT NULL,
  `ProbabilityOfWin` decimal(3,2) DEFAULT NULL,
  PRIMARY KEY (`Pursuit_ID`),
  KEY `Pursuit_Customer_fk` (`Customer_ID`),
  KEY `Pursuit_CustomerProgram_fk` (`Program_ID`),
  KEY `Pursuit_CustomerProgramCall_fk` (`Call_ID`),
  KEY `Pursuit_Person_fk` (`PursuitManager`),
  KEY `Pursuit_Person_fk1` (`PursuitPI`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=145 ;

-- --------------------------------------------------------

--
-- Table structure for table `Rate`
--

DROP TABLE IF EXISTS `Rate`;
CREATE TABLE IF NOT EXISTS `Rate` (
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `Jan` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Feb` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Mar` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Apr` decimal(20,2) NOT NULL DEFAULT '100.00',
  `May` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Jun` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Jul` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Aug` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Sep` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Oct` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Nov` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Dec` decimal(20,2) NOT NULL DEFAULT '100.00',
  KEY `CostCenter_ID` (`CostCenter_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `Responsibility`
--

DROP TABLE IF EXISTS `Responsibility`;
CREATE TABLE IF NOT EXISTS `Responsibility` (
  `Responsibility_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Responsibility_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=19 ;

-- --------------------------------------------------------

--
-- Table structure for table `Setting`
--

DROP TABLE IF EXISTS `Setting`;
CREATE TABLE IF NOT EXISTS `Setting` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `WBSShowLabourTasksOnly` tinyint(1) NOT NULL DEFAULT '1',
  `WBSShowCurrentYear` tinyint(1) NOT NULL DEFAULT '1',
  `WBSHideFirstWP` tinyint(1) NOT NULL DEFAULT '1',
  `WBSHideAllWP` tinyint(1) NOT NULL DEFAULT '1',
  `WBSHideTasksWithoutEffort` tinyint(1) NOT NULL DEFAULT '1',
  `EXPDecimalMark` tinyint(1) NOT NULL DEFAULT '1',
  `PROOwnSelect` tinyint(1) NOT NULL,
  UNIQUE KEY `EID_2` (`EID`),
  KEY `EID` (`EID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `State`
--

DROP TABLE IF EXISTS `State`;
CREATE TABLE IF NOT EXISTS `State` (
  `Number` int(11) NOT NULL DEFAULT '0',
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `StrapItem`
--

DROP TABLE IF EXISTS `StrapItem`;
CREATE TABLE IF NOT EXISTS `StrapItem` (
  `StrapItem_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Custom_ID` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(150) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `ResponsibleOrgUnit_ID` int(11) NOT NULL,
  `TargetTRL` int(11) NOT NULL DEFAULT '0',
  `TargetTRLYear` int(11) NOT NULL DEFAULT '0',
  `Description` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `Active` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`StrapItem_ID`),
  UNIQUE KEY `Custom_ID_UNIQUE` (`Custom_ID`),
  KEY `OrganizationUnit_ID` (`ResponsibleOrgUnit_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=64 ;

-- --------------------------------------------------------

--
-- Table structure for table `StrapItemActivity`
--

DROP TABLE IF EXISTS `StrapItemActivity`;
CREATE TABLE IF NOT EXISTS `StrapItemActivity` (
  `Activity_ID` int(11) NOT NULL AUTO_INCREMENT,
  `StrapItem_ID` int(11) NOT NULL,
  `Custom_ID` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `Pursuit_ID` int(11) DEFAULT NULL,
  `Project_ID` int(11) DEFAULT NULL,
  `NeedToPursue_ID` int(11) DEFAULT NULL,
  `TargetTRL` int(11) DEFAULT '0',
  `TargetTRLYear` int(11) DEFAULT '0',
  `Name` varchar(150) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `Remarks` text,
  `TechnologyRoadmapDomain` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `MarketingProductManager` varchar(7) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `PortfolioManager` varchar(7) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProductLine` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `RTCDirector` varchar(7) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `Created` datetime NOT NULL,
  `Creator` varchar(7) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `CostShare` decimal(3,2) DEFAULT NULL,
  `ProjectBudgetUsage` decimal(3,2) NOT NULL DEFAULT '0.00',
  `PotentialCustomer` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `Active` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Activity_ID`),
  KEY `ProductLine` (`ProductLine`),
  KEY `Project_ID` (`Project_ID`),
  KEY `StrapItem_ID` (`StrapItem_ID`),
  KEY `TechnologyRoadmapDomain` (`TechnologyRoadmapDomain`),
  KEY `MarketingProductManager` (`MarketingProductManager`),
  KEY `PortfolioManager` (`PortfolioManager`),
  KEY `RTCDirector` (`RTCDirector`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=225 ;

-- --------------------------------------------------------

--
-- Table structure for table `StrapItemActivityYearlyBudget`
--

DROP TABLE IF EXISTS `StrapItemActivityYearlyBudget`;
CREATE TABLE IF NOT EXISTS `StrapItemActivityYearlyBudget` (
  `Activity_ID` int(11) NOT NULL,
  `Year` int(11) NOT NULL,
  `LabourCosts` decimal(10,0) NOT NULL DEFAULT '0',
  `SubcontractingCosts` decimal(10,0) NOT NULL DEFAULT '0',
  `TravelCosts` decimal(10,0) NOT NULL DEFAULT '0',
  `MaterialCosts` decimal(10,0) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Activity_ID`,`Year`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `StrapItemActivity_Pursuit`
--

DROP TABLE IF EXISTS `StrapItemActivity_Pursuit`;
CREATE TABLE IF NOT EXISTS `StrapItemActivity_Pursuit` (
  `Activity_ID` int(11) DEFAULT NULL,
  `Pursuit_ID` int(11) NOT NULL,
  UNIQUE KEY `Activity_Pursuit_UNIQUE` (`Activity_ID`,`Pursuit_ID`),
  KEY `Activity_ID_idx` (`Activity_ID`),
  KEY `Pursuit_ID_idx` (`Pursuit_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `Subcontractor`
--

DROP TABLE IF EXISTS `Subcontractor`;
CREATE TABLE IF NOT EXISTS `Subcontractor` (
  `Subcontractor_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(70) COLLATE utf8_unicode_ci NOT NULL,
  `Short` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`Subcontractor_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=24 ;

-- --------------------------------------------------------

--
-- Table structure for table `Task`
--

DROP TABLE IF EXISTS `Task`;
CREATE TABLE IF NOT EXISTS `Task` (
  `Task_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Project_ID` int(11) NOT NULL,
  `WorkPackage_ID` int(11) NOT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LabourTask` tinyint(1) DEFAULT '0',
  `Remark` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CostShare` decimal(3,2) NOT NULL,
  PRIMARY KEY (`Task_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `WorkPackage_ID` (`WorkPackage_ID`),
  KEY `CostCenter_ID` (`CostCenter_ID`),
  KEY `Task_ibfk_3` (`Project_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3869 ;

--
-- Triggers `Task`
--
DROP TRIGGER IF EXISTS `SetTaskProjectID`;
DELIMITER //
CREATE TRIGGER `SetTaskProjectID` BEFORE INSERT ON `Task`
 FOR EACH ROW BEGIN
        SET NEW.`Project_ID`=`GetProjectIDFromWorkPackageID`(NEW.`WorkPackage_ID`);
END
//
DELIMITER ;
DROP TRIGGER IF EXISTS `UpdateTaskProjectID`;
DELIMITER //
CREATE TRIGGER `UpdateTaskProjectID` BEFORE UPDATE ON `Task`
 FOR EACH ROW BEGIN
	IF (NEW.`WorkPackage_ID`<>OLD.`WorkPackage_ID`) THEN
        SET NEW.`Project_ID`=`GetProjectIDFromWorkPackageID`(NEW.`WorkPackage_ID`);
	END IF;
END
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `TaskPlan`
--

DROP TABLE IF EXISTS `TaskPlan`;
CREATE TABLE IF NOT EXISTS `TaskPlan` (
  `TaskPlan_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Task_ID` int(11) NOT NULL,
  `Year` year(4) NOT NULL,
  `January` int(11) DEFAULT '0',
  `February` int(11) DEFAULT '0',
  `March` int(11) DEFAULT '0',
  `April` int(11) DEFAULT '0',
  `May` int(11) DEFAULT '0',
  `June` int(11) DEFAULT '0',
  `July` int(11) DEFAULT '0',
  `August` int(11) DEFAULT '0',
  `September` int(11) DEFAULT '0',
  `October` int(11) DEFAULT '0',
  `November` int(11) DEFAULT '0',
  `December` int(11) DEFAULT '0',
  `JanHrs` int(11) DEFAULT '0',
  `FebHrs` int(11) DEFAULT '0',
  `MarHrs` int(11) DEFAULT '0',
  `AprHrs` int(11) DEFAULT '0',
  `MayHrs` int(11) DEFAULT '0',
  `JunHrs` int(11) DEFAULT '0',
  `JulHrs` int(11) DEFAULT '0',
  `AugHrs` int(11) DEFAULT '0',
  `SepHrs` int(11) DEFAULT '0',
  `OctHrs` int(11) DEFAULT '0',
  `NovHrs` int(11) DEFAULT '0',
  `DecHrs` int(11) DEFAULT '0',
  `Date` datetime DEFAULT NULL,
  PRIMARY KEY (`TaskPlan_ID`),
  UNIQUE KEY `uniq_Task_ID_Year` (`Task_ID`,`Year`),
  KEY `Task_ID` (`Task_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=8059 ;

--
-- Triggers `TaskPlan`
--
DROP TRIGGER IF EXISTS `DecideLabourTask`;
DELIMITER //
CREATE TRIGGER `DecideLabourTask` BEFORE INSERT ON `TaskPlan`
 FOR EACH ROW BEGIN
        IF (NEW.`JanHrs` + NEW.`FebHrs` + NEW.`MarHrs` + NEW.`AprHrs` + NEW.`MayHrs` + NEW.`JunHrs` + NEW.`JulHrs` + NEW.`AugHrs` + NEW.`SepHrs` + NEW.`OctHrs` + NEW.`NovHrs` + NEW.`DecHrs` > 0) THEN
            UPDATE `Task` SET `LabourTask` = true WHERE NEW.`Task_ID` = `Task_ID`;
        END IF;
    END
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Stand-in structure for view `TaskPlan_OrganizationUnit_view`
--
DROP VIEW IF EXISTS `TaskPlan_OrganizationUnit_view`;
CREATE TABLE IF NOT EXISTS `TaskPlan_OrganizationUnit_view` (
`TaskPlan_ID` int(11)
,`OrganizationUnit_ID` int(11)
);
-- --------------------------------------------------------

--
-- Table structure for table `TechnologyRoadmapDomain`
--

DROP TABLE IF EXISTS `TechnologyRoadmapDomain`;
CREATE TABLE IF NOT EXISTS `TechnologyRoadmapDomain` (
  `Domain` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`Domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `User`
--

DROP TABLE IF EXISTS `User`;
CREATE TABLE IF NOT EXISTS `User` (
  `EID` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Role` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  UNIQUE KEY `EID` (`EID`,`Role`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `WorkPackage`
--

DROP TABLE IF EXISTS `WorkPackage`;
CREATE TABLE IF NOT EXISTS `WorkPackage` (
  `WorkPackage_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Project_ID` int(11) DEFAULT NULL,
  `Parent_ID` int(11) DEFAULT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  PRIMARY KEY (`WorkPackage_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `Project_ID` (`Project_ID`),
  KEY `Parent_ID` (`Parent_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=46225 ;

-- --------------------------------------------------------

--
-- Structure for view `TaskPlan_OrganizationUnit_view`
--
DROP TABLE IF EXISTS `TaskPlan_OrganizationUnit_view`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `TaskPlan_OrganizationUnit_view` AS select distinct `TaskPlan`.`TaskPlan_ID` AS `TaskPlan_ID`,`Person`.`OrganizationUnit_ID` AS `OrganizationUnit_ID` from ((`Person_Task` join `TaskPlan`) join `Person`) where ((`Person_Task`.`EID` = `Person`.`EID`) and (`TaskPlan`.`Task_ID` = `Person_Task`.`Task_ID`) and (`TaskPlan`.`Year` = `Person_Task`.`Year`));

--
-- Constraints for dumped tables
--

--
-- Constraints for table `Actuals`
--
ALTER TABLE `Actuals`
  ADD CONSTRAINT `Actuals_ibfk_1` FOREIGN KEY (`ChargeNumber`) REFERENCES `task` (`SAP_ID`) ON DELETE CASCADE;

--
-- Constraints for table `Customer`
--
ALTER TABLE `Customer`
  ADD CONSTRAINT `Customer_Person_fk` FOREIGN KEY (`Responsible`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `CustomerProgram`
--
ALTER TABLE `CustomerProgram`
  ADD CONSTRAINT `CustomerProgram_Customer_fk` FOREIGN KEY (`Customer_ID`) REFERENCES `customer` (`Customer_ID`) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Constraints for table `CustomerProgramCall`
--
ALTER TABLE `CustomerProgramCall`
  ADD CONSTRAINT `CustomerProgramCall_CustomerProgram_fk` FOREIGN KEY (`Program_ID`) REFERENCES `customerprogram` (`Program_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `CustomerProgramCall_Person_fk` FOREIGN KEY (`Responsible`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `Hour`
--
ALTER TABLE `Hour`
  ADD CONSTRAINT `Hour_ibfk_1` FOREIGN KEY (`EID`) REFERENCES `person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `OrganizationUnit`
--
ALTER TABLE `OrganizationUnit`
  ADD CONSTRAINT `Leader_fk` FOREIGN KEY (`Leader`) REFERENCES `person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `OrganizationUnit_fk1` FOREIGN KEY (`Parent_ID`) REFERENCES `organizationunit` (`OrganizationUnit_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `OrganizationUnit_fk2` FOREIGN KEY (`CostCenter_ID`) REFERENCES `costcenter` (`CostCenter_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `Person`
--
ALTER TABLE `Person`
  ADD CONSTRAINT `fk_costcenter` FOREIGN KEY (`CostCenter`) REFERENCES `costcenter` (`CostCenter_ID`),
  ADD CONSTRAINT `Person_fk` FOREIGN KEY (`OrganizationUnit_ID`) REFERENCES `organizationunit` (`OrganizationUnit_ID`) ON UPDATE CASCADE;

--
-- Constraints for table `Person_Task`
--
ALTER TABLE `Person_Task`
  ADD CONSTRAINT `Person_Task_ibfk_1` FOREIGN KEY (`EID`) REFERENCES `person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `Person_Task_ibfk_2` FOREIGN KEY (`Task_ID`) REFERENCES `task` (`Task_ID`) ON DELETE CASCADE,
  ADD CONSTRAINT `Person_Task_ibfk_3` FOREIGN KEY (`Task_ID`, `Year`) REFERENCES `taskplan` (`Task_ID`, `Year`) ON DELETE CASCADE;

--
-- Constraints for table `Project`
--
ALTER TABLE `Project`
  ADD CONSTRAINT `Project_OrganizationUnit_fk` FOREIGN KEY (`ResponsibleUnit`) REFERENCES `organizationunit` (`OrganizationUnit_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Project_CustomerProgramCall_fk` FOREIGN KEY (`Call_ID`) REFERENCES `customerprogramcall` (`Call_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Project_CustomerProgram_fk` FOREIGN KEY (`Program_ID`) REFERENCES `customerprogram` (`Program_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Project_fk` FOREIGN KEY (`TM`) REFERENCES `person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `Project_fk1` FOREIGN KEY (`State`) REFERENCES `state` (`Number`),
  ADD CONSTRAINT `Project_fk2` FOREIGN KEY (`Customer`) REFERENCES `customer` (`Customer_ID`),
  ADD CONSTRAINT `Project_fk3` FOREIGN KEY (`Responsibility`) REFERENCES `responsibility` (`Responsibility_ID`),
  ADD CONSTRAINT `Project_ibfk_1` FOREIGN KEY (`PIPM`) REFERENCES `person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `Project_ibfk_2` FOREIGN KEY (`PMOE`) REFERENCES `person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `Project_ibfk_3` FOREIGN KEY (`PPaC`) REFERENCES `person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Constraints for table `ProjectCharter`
--
ALTER TABLE `ProjectCharter`
  ADD CONSTRAINT `ProjectCharter_CustomerProgramCall_fk` FOREIGN KEY (`Call_ID`) REFERENCES `customerprogramcall` (`Call_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharter_CustomerProgram_fk` FOREIGN KEY (`Program_ID`) REFERENCES `customerprogram` (`Program_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharter_fk` FOREIGN KEY (`Owner`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharter_fk1` FOREIGN KEY (`LineManager`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharter_fk2` FOREIGN KEY (`Customer_ID`) REFERENCES `customer` (`Customer_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharter_fk3` FOREIGN KEY (`Responsibility_ID`) REFERENCES `responsibility` (`Responsibility_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `ProjectCharterApprover`
--
ALTER TABLE `ProjectCharterApprover`
  ADD CONSTRAINT `ProjectCharterApprover_fk` FOREIGN KEY (`ProjectCharter_ID`, `Version`) REFERENCES `projectcharterapproverhistory` (`ProjectCharter_ID`, `Version`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `ProjectCharterApproverHistory`
--
ALTER TABLE `ProjectCharterApproverHistory`
  ADD CONSTRAINT `ProjectCharterApprovalHistory_fk` FOREIGN KEY (`Responsible`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `ProjectCharterBudget`
--
ALTER TABLE `ProjectCharterBudget`
  ADD CONSTRAINT `ProjectCharterBudget_fk` FOREIGN KEY (`TechnicalGroup`) REFERENCES `organizationunit` (`OrganizationUnit_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharterBudget_fk1` FOREIGN KEY (`Version`) REFERENCES `projectcharterbudgethistory` (`Version`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharterBudget_fk2` FOREIGN KEY (`ProjectCharter_ID`) REFERENCES `projectcharter` (`ProjectCharter_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharterBudget_fk3` FOREIGN KEY (`Subcontractor`) REFERENCES `subcontractor` (`Subcontractor_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `ProjectCharterBudgetHistory`
--
ALTER TABLE `ProjectCharterBudgetHistory`
  ADD CONSTRAINT `ProjectCharterBudgetHistory_fk` FOREIGN KEY (`ProjectCharter_ID`) REFERENCES `projectcharter` (`ProjectCharter_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharterBudgetHistory_fk1` FOREIGN KEY (`Responsible`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `ProjectCharterFileHistory`
--
ALTER TABLE `ProjectCharterFileHistory`
  ADD CONSTRAINT `ProjectCharterFileHistory_fk` FOREIGN KEY (`Responsible`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ProjectCharterFileHistory_fk1` FOREIGN KEY (`ProjectCharter_ID`) REFERENCES `projectcharter` (`ProjectCharter_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `ProjectFoundPlan`
--
ALTER TABLE `ProjectFoundPlan`
  ADD CONSTRAINT `ProjectFoundPlan_ibfk_1` FOREIGN KEY (`SAP_ID`) REFERENCES `projectfound` (`SAP_ID`) ON DELETE CASCADE;

--
-- Constraints for table `Pursuit`
--
ALTER TABLE `Pursuit`
  ADD CONSTRAINT `Pursuit_CustomerProgramCall_fk` FOREIGN KEY (`Call_ID`) REFERENCES `customerprogramcall` (`Call_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Pursuit_CustomerProgram_fk` FOREIGN KEY (`Program_ID`) REFERENCES `customerprogram` (`Program_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Pursuit_Customer_fk` FOREIGN KEY (`Customer_ID`) REFERENCES `customer` (`Customer_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Pursuit_Person_fk` FOREIGN KEY (`PursuitManager`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Pursuit_Person_fk1` FOREIGN KEY (`PursuitPI`) REFERENCES `person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `Rate`
--
ALTER TABLE `Rate`
  ADD CONSTRAINT `Rate_ibfk_1` FOREIGN KEY (`CostCenter_ID`) REFERENCES `costcenter` (`CostCenter_ID`);

--
-- Constraints for table `Setting`
--
ALTER TABLE `Setting`
  ADD CONSTRAINT `Setting_fk` FOREIGN KEY (`EID`) REFERENCES `person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `StrapItem`
--
ALTER TABLE `StrapItem`
  ADD CONSTRAINT `OrganizationUnit_ID` FOREIGN KEY (`ResponsibleOrgUnit_ID`) REFERENCES `organizationunit` (`OrganizationUnit_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `StrapItemActivity`
--
ALTER TABLE `StrapItemActivity`
  ADD CONSTRAINT `ProductLine` FOREIGN KEY (`ProductLine`) REFERENCES `productline` (`ProductName`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `Project_ID` FOREIGN KEY (`Project_ID`) REFERENCES `project` (`Project_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `StrapItem_ID` FOREIGN KEY (`StrapItem_ID`) REFERENCES `strapitem` (`StrapItem_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `TechnologyRoadmapDomain` FOREIGN KEY (`TechnologyRoadmapDomain`) REFERENCES `technologyroadmapdomain` (`Domain`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `MarketingProductManager` FOREIGN KEY (`MarketingProductManager`) REFERENCES `advisor` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `PortfolioManager` FOREIGN KEY (`PortfolioManager`) REFERENCES `advisor` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `RTCDirector` FOREIGN KEY (`RTCDirector`) REFERENCES `advisor` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `StrapItemActivityYearlyBudget`
--
ALTER TABLE `StrapItemActivityYearlyBudget`
  ADD CONSTRAINT `StrapItemActivity_ID` FOREIGN KEY (`Activity_ID`) REFERENCES `strapitemactivity` (`Activity_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `StrapItemActivity_Pursuit`
--
ALTER TABLE `StrapItemActivity_Pursuit`
  ADD CONSTRAINT `strapitemactivity_pursuit_ibfk_1` FOREIGN KEY (`Pursuit_ID`) REFERENCES `pursuit` (`Pursuit_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_StrapItemActivity_ID` FOREIGN KEY (`Activity_ID`) REFERENCES `strapitemactivity` (`Activity_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `Task`
--
ALTER TABLE `Task`
  ADD CONSTRAINT `Task_ibfk_1` FOREIGN KEY (`WorkPackage_ID`) REFERENCES `workpackage` (`WorkPackage_ID`) ON DELETE CASCADE,
  ADD CONSTRAINT `Task_ibfk_2` FOREIGN KEY (`CostCenter_ID`) REFERENCES `costcenter` (`CostCenter_ID`),
  ADD CONSTRAINT `Task_ibfk_3` FOREIGN KEY (`Project_ID`) REFERENCES `project` (`Project_ID`) ON DELETE CASCADE;

--
-- Constraints for table `TaskPlan`
--
ALTER TABLE `TaskPlan`
  ADD CONSTRAINT `TaskPlan_ibfk_1` FOREIGN KEY (`Task_ID`) REFERENCES `task` (`Task_ID`) ON DELETE CASCADE;

--
-- Constraints for table `User`
--
ALTER TABLE `User`
  ADD CONSTRAINT `User_fk` FOREIGN KEY (`EID`) REFERENCES `person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `WorkPackage`
--
ALTER TABLE `WorkPackage`
  ADD CONSTRAINT `WorkPackage_ibfk_1` FOREIGN KEY (`Project_ID`) REFERENCES `project` (`Project_ID`) ON DELETE CASCADE,
  ADD CONSTRAINT `WorkPackage_ibfk_2` FOREIGN KEY (`Parent_ID`) REFERENCES `workpackage` (`WorkPackage_ID`) ON DELETE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
