-- ATE Tool database upgrade script 
-- From version     : 1.16.1
-- To version       : 1.17.0
-- Target DB engine : MySQL 5.6.x

--
-- Table structure for table `ActualsForIASAP`
--

DROP TABLE IF EXISTS `ActualsForIASAP`;
CREATE TABLE IF NOT EXISTS `ActualsForIASAP` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `ChargeNumber` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `Hours` decimal(5,1) NOT NULL,
  `Date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Comment` text COLLATE utf8_unicode_ci,
  KEY `ChargeNumber` (`ChargeNumber`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Constraints for table `ActualsForIASAP`
--
ALTER TABLE `ActualsForIASAP` ADD CONSTRAINT `ActualsForIASAP_ibfk_1` FOREIGN KEY (`ChargeNumber`) REFERENCES `task` (`SAP_ID`) ON DELETE CASCADE ON UPDATE NO ACTION;
  
-- Project charters related STRAP Item added
ALTER TABLE `ProjectCharter` ADD `StrapItem_ID` INT NULL DEFAULT NULL; 
ALTER TABLE `ProjectCharter` ADD INDEX `ProjectCharter_StrapItem_fk` (`StrapItem_ID`);
ALTER TABLE `ProjectCharter` ADD CONSTRAINT `ProjectCharter_StrapItem` FOREIGN KEY (`StrapItem_ID`) REFERENCES `tool`.`StrapItem`(`StrapItem_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- actuasl temp for iASAP
DROP TABLE IF EXISTS `tool`.`ActualsTempForIASAP` ;

CREATE TABLE IF NOT EXISTS `tool`.`ActualsTempForIASAP` (
  `EID` VARCHAR(7) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `ChargeNumber` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `Year` YEAR NOT NULL,
  `FiscalMonth` INT NOT NULL,
  `Hours` DECIMAL(5,1) NOT NULL,
  `Date` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Comment` TEXT CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NULL,
  INDEX `ChargeNumber` (`ChargeNumber` ASC),
  CONSTRAINT `ActualsTempForIASAP_ibfk_1`
    FOREIGN KEY (`ChargeNumber`)
    REFERENCES `tool`.`Task` (`SAP_ID`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION)
ENGINE = InnoDB;
