-- ATE Tool database upgrade script 
-- From version     : 1.18.0.1
-- To version       : 1.19.0
-- Target DB engine : MySQL 5.6.x

-- Transform 'Activity_SAP_ID' to 'Task_ID' (foreign key) in 'ActualsCost' table
--
-- delete all rows from ActualsCost table without a reference to Task
SET SQL_SAFE_UPDATES = 0;

DELETE ac FROM `ActualsCost` ac
  LEFT JOIN `Task` t ON ac.`Activity_SAP_ID` = t.`SAP_ID` 
      WHERE t.`SAP_ID` IS NULL;

-- create new foreign key
ALTER TABLE `ActualsCost`
	ADD COLUMN `Task_ID` int(11) AFTER `Project_SAP_ID`,
	ADD CONSTRAINT FOREIGN KEY fk_Task_ID(`Task_ID`) REFERENCES `Task`(`Task_ID`) ON DELETE CASCADE;
    
-- fill FK column with data
UPDATE `ActualsCost` ac LEFT JOIN `Task` t ON ac.`Activity_SAP_ID` = t.`SAP_ID` SET ac.`Task_ID` = t.`Task_ID`;

SET SQL_SAFE_UPDATES = 1;

ALTER TABLE `ActualsCost` MODIFY COLUMN `Task_ID` int(11) NOT NULL;

-- delete Activity_SAP_ID column
ALTER TABLE `ActualsCost` DROP COLUMN `Activity_SAP_ID`;