-- ATE Tool database upgrade script 
-- From version     : 1.21.0
-- To version       : 1.21.1
-- Target DB engine : MySQL 5.6.x

UPDATE `Task` SET `ActualsImport`=0,`ActualsImportDataSource`=null WHERE `ActualsImport` = 1 AND `ActualsImportDataSource` LIKE 'E-Charge';

-- -----------------------------------------------------
-- Table `tool`.`ActualsSapTemp`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tool`.`ActualsSapTemp` (
  `EID` VARCHAR(7) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `ChargeNumber` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `Year` YEAR NOT NULL,
  `FiscalMonth` INT NOT NULL,
  `Hours` DECIMAL(5,1) NOT NULL,
  `Date` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Project` TEXT CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `Source` TINYINT NOT NULL,
  UNIQUE INDEX `EID` (`EID` ASC, `ChargeNumber` ASC, `Year` ASC, `FiscalMonth` ASC, `Source` ASC),
  CONSTRAINT `ActualsSapTempTask_fk`
    FOREIGN KEY (`ChargeNumber`)
    REFERENCES `tool`.`Task` (`SAP_ID`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;