# FileName: import-actuals-from-tlc.ps1
#=============================================================================
# Script Name: [HON PLANNING TOOL Actuals update from TLC]
# Created: [2016-07-14]
# Version: [1.0]
# Author: [Jiri Pirochta]
# Email: [jiri.pirochta@honeywell.com]
# Company: [Honeywell]  
# Arguments: None
# =============================================================================
# Purpose: This script is to be setup in Windows Server / Windows 7 
# Task Scheduler to run regarly every day in the early morning to 
# import actual (hours charged on projects) into HON Planning Tool from TLC
# =============================================================================

$my_import_log="C:\inetpub\wwwroot\hon-planning-tool\log\import-actuals-from-tlc.log"
# token HTTP parameter is setup in the HON Planning Tool database
# in table GlobalSettings in a Value column where Key="TLC.actuals.credentials.cronToken" 
$my_import_url="http://ate-apps.honeywell.com/hon-planning-tool/?presenter=TLCActualsAutoImport&token=a7a6fb32d0e2cf16854e3bbab3ef939a&action=run"
# run only once and max for 1 hour
$my_wget_cmd="c:\Program Files (x86)\UnixUtils\bin\wget.exe"
$my_wget_params=@("-t","1","-T","3600","-O","-","$my_import_url") 
$my_unix_date_format="%Y/%m/%d %H:%M:%S"

#logrotate first if log is greater than 500kB
if (Test-Path $my_import_log) { 
    if ((Get-Item $my_import_log).length -gt 500kb) {
        $old_log= $my_import_log -replace ".log$", ("-" + (Get-Date -UFormat "%Y%m%d-%H%M%S") + ".log")
        Move-Item $my_import_log $old_log
    }
}

$my_start_date=(Get-Date -UFormat $my_unix_date_format)
Add-Content -Path $my_import_log -Value "--- START OF ACTUALS IMPORT FROM TLC: $my_start_date"
& $my_wget_cmd $my_wget_params  
$my_end_date=(Get-Date -UFormat $my_unix_date_format)
Add-Content -Path $my_import_log -Value "--- END OF ACTUALS IMPORT FROM TLC: $my_end_date"

exit
