<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2014 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package presenters
 */

/**
 * Base asncestor for all form containers.
 *
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
abstract class BaseContainer extends FormContainer
{
	/** @var DIContainer DI context with application repositories access */
	private $context;
	
	public function __construct()
	{
	    parent::__construct();
		$this->context = Environment::getContext();
		$this->monitor('AppForm');
	}
	
	/**
	 * Gets context
	 * @return DIContainer
	 */
	public function getContext()
	{
		return $this->context;
	}
	
	protected function attached($obj)
	{
		parent::attached($obj);
		if ($obj instanceof AppForm)
		{
			$this->currentGroup = $this->form->currentGroup;
			$this->configure();
		}
	}
	
	abstract protected function configure();
}
