<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2014 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package presenters
 */

/**
 * Organization unit lock selector
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
class OrganizationUnitLockSelectorContainer extends OrganizationUnitSelectorContainer
{
	/**
	 * @param int $width=300 Width of container fields. Min value = 60
	 * @param boolean $showHierarchy=FALSE Cut short each field in hierarchy
	 */
	public function __construct($width = 300, $showHierarchy = FALSE)
    {
		parent::__construct($width, $showHierarchy);
	}
	
	/**
	 * Funbction decides what suffix(locked/unlocked) should be added.
	 * 
	 * @param OrganizationUnit $orgUnit
	 * @return string Org unit name with added suffix
	 */
	private function addLockSuffix(OrganizationUnit $orgUnit)
	{
		if($orgUnit->Locked)
			return $orgUnit->Name . ' - Locked';
		else
			return $orgUnit->Name . ' - Unlocked';
	}
	
	/**
	 * Function gets name of organization unit for select form input.
	 * 
	 * @param OrganizationUnit $orgUnit
	 * @return string Name what will be shown in select.
	 */
	protected function getOrgUnitSelectName(OrganizationUnit $orgUnit)
	{
		return $this->addLockSuffix($orgUnit);
	}
}
