<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2012 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package grids
 */

/**
 * Grid for displaying legacy log messages.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */

class LegacyLogGrid extends Grid
{
	protected $logs;

	public function __construct($logs)
	{
		parent::__construct();
		$this->logs = $logs;
	}
	
	protected function configure($presenter)
	{
		$source = new NDataSource($this->logs->select('Log_ID, Log_ID AS id, EID, Date, `SQL`, Error, Info'));

		$this->setDataSource($source);

		//$this->setWidth("1000px");
		$this->setDefaultOrder("Log_ID DESC");
		$this->setPerPageValues(array(50, 100, 200));

		$this->addColumn('Log_ID', 'Log_ID', '20px')
			/*->setTextEditable()*/;

		$this->addColumn('EID', 'EID', '20px')
			/*->setTextEditable()*/;

		$this->addColumn('Date', 'Date', '70px')
			/*->setTextEditable()*/;

		$this->addColumn('SQL', 'SQL', '500px')
			/*->setTextEditable()
			->setTextFilter()*/
			/*->setAutocomplete(5);*/
			->setSortable(false);

		$this->addColumn('Error', 'Error', '150px')
			/*->setTextEditable()*/
			->setSortable(false);

		$this->addColumn('Info', 'Info', '150px')
			/*->setTextEditable()
			->setTextFilter()*/
			->setSortable(false);
		
	}

}
