<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing POAttributesAndBudget.
 *
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
interface IPOAttributesAndBudgetMapper
{
	/**
	 * Saves POAttributesAndBudget.
	 * @param POAttributesAndBudget $poAttr
	 * @return boolean TRUE if operation ended with success, FALSE otherwise.
	 */
	public function save(POAttributesAndBudget $poAttr);
    
	/**
	 * Updates POAttributesAndBudget.
	 * @param POAttributesAndBudget $poAttr
	 * @return boolean TRUE if operation ended with success, FALSE otherwise.
	 */
	public function update(POAttributesAndBudget $poAttr);
    
	/**
	 * Deletes existing POAttributesAndBudget.
	 * @param int $id POAttributesAndBudget ID.
	 * @return boolean TRUE if operation ended with success, FALSE otherwise.
	 */
	public function delete($id);
	
	/**
	 * Finds POAttributesAndBudget by ID.
	 * @param int $id POAttributesAndBudget ID.
	 * @return POAttributesAndBudget or NULL if not found.
	 */
	public function find($id);
	
	/**
	 * Finds all POAttributesAndBudgets.
	 * @return array Array of POAttributesAndBudget or empty array.
	 */
	public function findAll();
	
	/**
	 * Finds all POAttributesAndBudgets.
	 * @param int $id Project ID
	 * @return array Array of POAttributesAndBudget or empty array.
	 */
	public function findByProjectID($id);
}