<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing project charter budget.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 *
 */
interface ISubcontractorMapper 
{
        /**
	 * Finds all subcontractors.
	 * 
	 * @return array Subcontractors or NULL if not found.
	 */
	public function findAll();
    
	/**
	 * Finds Subcontractor by id.
	 * 
	 * @param int $id Subcontractor ID.
	 * @return	Subcontractor or NULL if not found.
	 */
	public function find($id);
}
