<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing system checks.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
interface ISystemCheckMapper
{
	/**
	 * Check if people are assigned only on the task with the same work center.
	 * Returns wrong assigned persons.
	 * @param Year int
	 * 
	 * @return array of SytemCheck or null of not found.
	 */
	public function findAssignedPersonCheck($year);

	/**
	 * Check if there are tasks with zero hours effort and zero budget having task plan for current year in the database.
	 * Returns wrong tasks.
	 * @param Year int
	 * 
	 * @return array of SytemCheck or null of not found.
	 */
	public function findZeroTaskCheck($year);
}
