<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing user setting.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */
interface IUserSettingMapper
{
	/**
	 * Saves user's settings into database.
	 * 
	 * @param UserSetting $setting User ID.
	 * @param string $id User ID.
	 */
	public function save(UserSetting $setting, $id);
	
	/**
	 * Returns user's application setting from databse by user ID.
	 * 
	 * @param string $id User ID.
	 * @return	UserSetting Returns instance or NULL if not found.
	 */
	public function find($id);

}


