<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2014 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Nationality definition.
 *
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
class Nationality extends Object
{	
	/** @var int Nationality id */
	private $nationalityID;
	/** @var string Nationality name */
	private $name;
	/** @var int Nationality value */
	private $value;
	
	/**
     * Sets id.
     * @param int $id Must be positive integer.
	 * @throws InvalidArgumentException
     */
	public function setNationalityID($id)
	{
		if ($id > 0)
			$this->nationalityID = $id;
		else
			throw new InvalidArgumentException('Licence ID must be integer greater than 0. Wrong param: ' . $id);
	}
	
	/**
     * Gets id
     * @return int
     */
	public function getNationalityID()
	{
		return $this->nationalityID;
	}
	
	/**
     * Sets name
     * @param string $name
     */
	public function setName($name)
	{
		$this->name = $name;
	}
	
	/**
     * Gets name
     * @return string
     */
	public function getName()
	{
		return $this->name;
	}
	
	/**
     * Sets value
     * @param int $value
     */
	public function setValue($value)
	{
		$this->value = $value;
	}
	
	/**
     * Gets value
     * @return int
     */
	public function getValue()
	{
		return $this->value;
	}
}