<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * News repository access class.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */
class NewsRepository extends Object
{
    /** @var INewsMapper */
 	private $mapper;

    public function __construct(INewsMapper $mapper)
    {
        $this->mapper = $mapper;
    }	

	/**
	 * Gets news by id.
	 * 
	 * @param int $id
	 * @return News or NULL if not found.
	 */
	public function find($id)
	{
		return $this->mapper->find($id);
	}

	/**
	 * Returns news that are were published before $date
	 * and max $count of news.
	 * 
	 * @param int $date Unix timestamp of date and time.
	 * @param int $count How many news should be returned.
	 * @return	array of News
	 */
	public function findLatestNews($date, $count)
	{
		return $this->mapper->findLatestNews($date, $count);
	}
	
}

