<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2014 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Person - ECLicence relation definition.
 *
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
class PersonECLicence extends Object
{	
	/** @var string Person eid */
	private $eid;
	/** @var int ECLicence id */
	private $ECLicenceID;
	
	/**
     * Sets eid.
     * @param string $eid
	 * @throws InvalidArgumentException
     */
	public function setEID($eid)
	{
		if (Person::validEID($eid))
			$this->eid = $eid;
		else
			throw new InvalidArgumentException('Person EID must be in valid format. Wrong param: ' . $eid);
	}
	
	/**
     * Gets eid
     * @return string
     */
	public function getEID()
	{
		return $this->eid;
	}
	
	/**
     * Sets ECLicence id.
     * @param int $id Must be positive integer.
	 * @throws InvalidArgumentException
     */
	public function setECLicenceID($id)
	{
		if ($id > 0)
			$this->ECLicenceID = $id;
		else
			throw new InvalidArgumentException('ECLicence ID must be integer greater than 0. Wrong param: ' . $id);
	}
	
	/**
     * Gets ECLicence id
     * @return int
     */
	public function getECLicenceID()
	{
		return $this->ECLicenceID;
	}
}