<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2012 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Newly found project definition with plans from PMB files.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */
class ProjectFound extends ProjectFoundInfo
{
	/** @var typed array of year plans (ProjectFoundPlan class) */
    private $plans;

    public function  __construct() 
    {
		parent::__construct();
		$this->plans = new TypedArray(new ProjectFoundPlan(0), true);
    }	

    /**
     * Sets plan. If plan for a year is already defined, it is replaced.
     */
	public function setPlan(ProjectFoundPlan $plan)
	{
		if ($plan != NULL)
			$this->plans[$plan->getYear()] = $plan;
	}		

	/**
     * Gets plans.
     * 
     * @return TypedArray of ProjectFoundPlan where indexes are years.
     */
	public function getPlans()
	{
		return $this->plans;
	}

}

