<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2012 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Newly found project definition in PMB import file.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */
class ProjectFoundPlan extends Object
{
    /** @var int Year */
    private $year = '';
	/** @var string name of project */
    private $plan = '';
	/** @var string timestamp when project was last found during imports */
    private $lastUpdateDate;

    public function  __construct($year) 
    {
		$this->year = $year;
		$this->touch();
    }
	
    /**
     * Gets year.
     * @return int
     */
	public function getYear()
	{
		return $this->year;
	}	

    /**
     * Sets date when project was last found in PMB.
     * @param string $date
     */
	public function setUpdateDate($date)
	{
		$this->lastUpdateDate = $date;
	}

    /**
     * Gets date when project was last found in PMB.
	 * In db Timestamp format.
     * @return string
     */
	public function getLastFoundDate()
	{
		return $this->lastUpdateDate;
	}	

    /**
     * Updates last update date to now.
     * @return string Date and time string.
     */
	public function touch()
	{
		$this->lastUpdateDate = date('Y-m-d H:i:s');
		return $this->lastUpdateDate;
	}	

   /**
     * Sets serialized plan.
     * @param string $plan
     */
	public function setSerializedPlan($plan)
	{
		$this->plan = $plan;
	}

    /**
     * Gets serialized plan.
     * @return string
     */
	public function getSerializedPlan()
	{
		return $this->plan;
	}	
	
}

