<?php

/**
 * Model
 * @deprecated
 */

class ProjectModel extends Object
{
     /**
     * Constructor, connects to the database
     */
    function __construct()
    {

    }

    private $textValues = array('Name', 'Description', 'SAP_ID', 'PO', 'PO_number', 'KeyCode');
    private $selectValues = array('PMO', 'State', 'Customer', 'Program_ID', 'Call_ID', 'Responsibility'); 
    private $checkboxListValues = array('Type', 'Phase');
    private $eidValues = array('PIPM', 'TM', 'PMOE', 'PPaC');
    private $dateValues = array('Start', 'End');

    public function getProjectsByFilter($filter = NULL)
    {
        $q = "
            SELECT
                *,
                IF(LENGTH(Description)>20, CONCAT(SUBSTR(Description, 1, 17), '...'), Description) AS Description_SHORT,
                IF(LENGTH(Type)>3, CONCAT(SUBSTR(Type, 1, 3), '.'), Type) AS Type_SHORT,
                (SELECT CONCAT(Surname, ', ', SUBSTR(Name, 1, 1), '.') FROM Person WHERE Project.PIPM = Person.EID) AS PIPM_INFO,
                (SELECT CONCAT(Surname, ', ', Name, ' (', EID, ')') FROM Person WHERE Project.PIPM = Person.EID) AS PIPM_INFO_FULL,
                (SELECT CONCAT(Surname, ', ', SUBSTR(Name, 1, 1), '.') FROM Person WHERE Project.TM = Person.EID) AS TM_INFO,
                (SELECT CONCAT(Surname, ', ', Name, ' (', EID, ')') FROM Person WHERE Project.TM = Person.EID) AS TM_INFO_FULL,
                (SELECT CONCAT(Surname, ', ', SUBSTR(Name, 1, 1), '.') FROM Person WHERE Project.PMOE = Person.EID) AS PMOE_INFO,
                (SELECT CONCAT(Surname, ', ', Name, ' (', EID, ')') FROM Person WHERE Project.PMOE = Person.EID) AS PMOE_INFO_FULL,
                (SELECT CONCAT(Surname, ', ', SUBSTR(Name, 1, 1), '.') FROM Person WHERE Project.PPaC = Person.EID) AS PPaC_INFO,
                (SELECT CONCAT(Surname, ', ', Name, ' (', EID, ')') FROM Person WHERE Project.PPaC = Person.EID) AS PPaC_INFO_FULL,
                (SELECT CONCAT(Number, ': ', Name) FROM State WHERE Project.State = State.Number) AS State_INFO
            FROM
                `Project`
            WHERE
                1
        ";
		if ($filter !== NULL)
		{
			foreach ($this->textValues as $key)
			{
				if ($filter[$key] != '')
				{
					$q .= ' AND '.$key.' LIKE \'%'.$filter[$key].'%\'';
				}
			}

			foreach ($this->selectValues as $key)
			{
				if ($filter[$key] != '')
				{
					$q .= ' AND '.$key.' = \''.$filter[$key].'\'';
				}
			}

			foreach ($this->checkboxListValues as $key)
			{
				$q .= ' AND (0';
				if (is_array($filter[$key]))
				{
                    if ($key == 'Type')
                        foreach ($filter[$key] as $phase)
                        {
                            $q .= " OR Type = '$phase'";
                        }
                    else
                        foreach ($filter[$key] as $phase)
                        {
                            $q .= " OR Phase = '$phase'";
                        }
				}
				$q .= ')';
			}

			foreach ($this->eidValues as $key)
			{
				if ($filter[$key] != '')
				{
					$q .= ' AND '.$key.' = \''.$filter[$key].'\'';
				}
			}

			foreach ($this->dateValues as $key)
			{
				if ($filter[$key] != '')
				{
					switch ($key)
					{
						case 'Start':
							$q .= ' AND '.$key.' >= \''.$filter[$key] . '\'';
							break;
						case 'End':
							$q .= ' AND '.$key.' <= \''.$filter[$key] . '\'';
							break;
						default:
							break;
					}
				}
			}
		}
		// Order by name
		$q .= ' ORDER BY `Name` ASC';

		$result = dibi::query($q);
        return $result;
    }

    public function getProjectByID($Project_ID)
    {
        $result = dibi::select('*')->from('Project')->where('[Project_ID] = %i', $Project_ID)->execute();
        if (count($result) > 0)
        {
            $result = $result->fetch();
        }

        return $result;
    }
    
//    public function getProjectStructure($Project_ID)
//    {
//
//        /**
//         * Project Object
//         *   WorkPackage Object
//         *     ...
//         *       Task (fetched Task_ID)
//         *         TaskPlan (fetched Year)
//         */
//
//        $ProjectDB = dibi::select('*')->from('Project')->where('[Project_ID] = %i', $Project_ID)->fetch();
//        $Project = new ProjectHeader();
//
//        foreach(get_object_vars($Project) as $name => $value){
//            $Project->$name = @$ProjectDB->$name;
//        }
//
//        $WorkPackagesDB = dibi::select('*')->from('WorkPackage')->where('[Project_ID] = %i', $Project_ID)->fetchAll();
//        foreach($WorkPackagesDB as $WorkPackageDB){
//            $WorkPackage = new WorkPackageDeprecated();
//            foreach(get_object_vars($WorkPackage) as $name => $value){
//                $WorkPackage->$name = @$WorkPackageDB->$name;
//            }
//            $Project->children[$WorkPackage->WorkPackage_ID] = $WorkPackage;
//        }
//
//        function getChildWorkPackages($ParentWorkPackageID){
//            // get child workpackages recursive (unknown number of workpackages)
//            $WorkPackagesDB = dibi::select('*')->from('WorkPackage')->where('[Parent_ID] = %i', $ParentWorkPackageID)->fetchAll();
//            $WorkPackages = array();
//            foreach($WorkPackagesDB as $WorkPackageDB){
//                $WorkPackage = new WorkPackageDeprecated();
//                foreach(get_object_vars($WorkPackage) as $name => $value){
//                    $WorkPackage->$name = @$WorkPackageDB->$name;
//                }
//                $WorkPackages[$WorkPackage->WorkPackage_ID] = $WorkPackage;
//                $WorkPackage->children = getChildWorkPackages($WorkPackage->WorkPackage_ID);
//                if(empty($WorkPackage->children)){
//                    // if max depth load Tasks
//                    $TasksDB = dibi::select('*')->from('Task')->where('[WorkPackage_ID] = %i', $WorkPackage->WorkPackage_ID)->fetchAll();
//                    $Tasks = array();
//                    foreach($TasksDB as $TaskDB){
//                        $Task = new Task();
//                        foreach(get_object_vars($TaskDB) as $name => $value){
//                            $Task->$name = @$TaskDB->$name;
//                        }
//                        $TaskPlansDB = dibi::select('*')->from('TaskPlan')->where('[Task_ID] = %i', $Task->Task_ID)->fetchAll();
//                        $TaskPlans = array();
//                        foreach($TaskPlansDB as $TaskPlanDB){
//                            $TaskPlan = new TaskPlan();
//                            foreach(get_object_vars($TaskPlanDB) as $name => $value){
//                                $TaskPlan->$name = @$TaskPlanDB->$name;
//                            }
//                            $Task->children[$TaskPlan->Year] = $TaskPlan;
//                        }
//                        $WorkPackage->children[$Task->Task_ID] = $Task;
//                    }
//                }
//            }
//            return $WorkPackages;
//        }
//
//        foreach($Project->children as $WorkPackage){
//            // first level workpackages right under project (depth = 0)
//            $WorkPackage->children = getChildWorkPackages($WorkPackage->WorkPackage_ID);
//        }
//
////        echo '<pre>';
//
////        print_r($Project->getMonthHours(2011));
//
////        print_r($Project->findElement('WorkPackage', 30)->findElement('WorkPackage', 30));
//
//        return $Project;
//
//    }

    public function updateProject($Project_ID, $project_attribs)
    {
		// drop attributes we do not want to update ever
		foreach ($project_attribs as $name => $value)
		{
			// TODO: update should work via object not by array injected from form
			if (($name != 'Name') && ($name != 'SAP_ID') && ($name != 'Project_ID')
					&& ($name != 'PIPM_info') && ($name != 'TM_info') 
					&& ($name != 'PMOE_info') && ($name != 'PPaC_info'))
				$project[$name] = $value;
		}
        $tmp = array('Customer', 'Responsibility');
        foreach ($tmp as $item)
        {
            if ($project[$item] == '')
            {
                $project[$item] = NULL;
            }
        }
        $project['PIPM'] == ''  && $project['PIPM'] = NULL;
        $project['TM'] == ''    && $project['TM'] = NULL;
        $project['PMOE'] == ''  && $project['PMOE'] = NULL;
        $project['PPaC'] == ''  && $project['PPaC'] = NULL;
        $project['Start'] == ''  && $project['Start'] = NULL;
        $project['End'] == ''  && $project['End'] = NULL;

        dibi::update('Project', $project)->where('[Project_ID] = %i', $Project_ID)->execute();
    }
    
    public function deleteProject($Project_ID)
    {
        dibi::delete('Project')->where('[Project_ID] = %i', $Project_ID)->execute();
    }

    public function getCustomers()
    {
        $result = dibi::select('*')->from('Customer')->execute();
        $result->fetchAll();
        return $result;
    }

    public function getResponsibilities()
    {
        $result = dibi::select('*')->from('Responsibility')->execute();
        $result->fetchAll();
        return $result;
    }

    public function getStates()
    {
        $result = dibi::select('*')->from('State')->execute();
        $result->fetchAll();
        return $result;
    }

    public function insertProject($tree)
    {
        
        foreach ($tree as $project)
        {
            dibi::insert('ProjectNew', array('SAP_ID' => $project->SAP_ID, 'Name' => $project->Name))->execute();
            $depth = $project->level;
            foreach (array_merge($project->workpackages, $project->tasks) as $child)
            {
                $parentId = dibi::insertId();
                $this->insertElem($child, $parentId, "PRJ");
            }
        }
    }

    private function insertElem($elem, $parentId, $parentType)
    {
        if (($elem instanceof WorkPackageDeprecated) && $parentType == "PRJ")
        {
            dibi::insert('WorkPackageNew', array('SAP_ID' => $elem->SAP_ID, 'Name' => $elem->Name, 'Project_ID' => $parentId))
                    ->execute();
            $parentId = dibi::insertId();
            foreach (array_merge($elem->workpackages, $elem->tasks) as $child)
            {
                $this->insertElem($child, $parentId, "WBS");
            }
        }
        elseif (($elem instanceof WorkPackageDeprecated) && $parentType == "WBS")
        {
            dibi::insert('WorkPackageNew', array('SAP_ID' => $elem->SAP_ID, 'Name' => $elem->Name, 'Parent_ID' => $parentId))
                    ->execute();
            $parentId = dibi::insertId();
            foreach (array_merge($elem->workpackages, $elem->tasks) as $child)
            {
                $this->insertElem($child, $parentId, "WBS");
            }
        }
        elseif (($elem instanceof Task))
        {
            if ($elem->level != 0)
            {
                dibi::insert('WorkPackageNew', array('Parent_ID' => $parentId))->execute();
                $parentId = dibi::insertId();
                $elem->level--;
                $this->insertElem($elem, $parentId, "WBS");
            }
            else
            {
                dibi::insert('TaskNew', array('SAP_ID' => $elem->SAP_ID, 'Name' => $elem->Name, 'WorkPackage_ID' => $parentId))
                        ->execute();
            }
        }

    }

    public function getPeople($filter)
    {
        
        $filter = trim($filter);

        $result = dibi::query("
            SELECT
                *
            FROM
                Person
            WHERE
                EID LIKE '%$filter%' OR
                Surname LIKE '%$filter%' OR
                Name LIKE '%$filter%'
        ");
        
        return $result;
        
    }

}
