<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing STRAP Advisor.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
interface IAdvisorMapper
{
	/**
	 * Saves new STRAP Advisor.
	 * 
	 * @param Advisor $advisor
	 * @return boolean
	 */
	public function save(Advisor $advisor);
	
	/**
	 * Updates existing STRAP Advisor.
	 * 
	 * @param Advisor $advisor
	 * @return boolean
	 */
	public function update(Advisor $advisor);
	
	/**
	 * Deletes existing STRAP Advisor.
	 * 
	 * @param string $id
	 * @return boolean
	 */
	public function delete($id);

	/**
	 * Gets STRAP Advisor by id.
	 * 
	 * @param int $id
	 * @return Advisor or null if not found
	 */
	public function find($id);
	
	/**
	 * Gets all STRAP Advisors by type.
	 * @param String $type
	 * 
	 * @return array Array of Advisor or null if not found.
	 */
	public function findAllByType($type);
}
