<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing STRAP NeedToPursue.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
interface INeedToPursueMapper
{
	/**
	 * Saves new STRAP NeedToPursue.
	 * 
	 * @param NeedToPursue $needToPursue
	 * @return boolean
	 */
	public function save(NeedToPursue $needToPursue);
	
	/**
	 * Updates existing STRAP NeedToPursue.
	 * 
	 * @param NeedToPursue $needToPursue
	 * @return boolean
	 */
	public function update(NeedToPursue $needToPursue);
	
	/**
	 * Deletes existing STRAP Item.
	 * 
	 * @param int $needToPursue_id
	 * @return boolean
	 */
	public function delete($needToPursue_id);

	/**
	 * Gets STRAP NeedToPursue by id.
	 * 
	 * @param int $needToPursue_id
	 * @return NeedToPursue or null if not found
	 */
	public function find($needToPursue_id);

	/**
	 * Gets all STRAP NeedToPursue.
	 * 
	 * @return array Array of NeedToPursue where NeedToPursue_ID is key or null if not found.
	 */
	public function findAll();
}
