<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing PursuitAction.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
interface IPursuitActionMapper
{
	/**
	 * Saves new PursuitAction.
	 * 
	 * @param PursuitAction $pursuitAction
	 * @return boolean
	 */
	public function save(PursuitAction $pursuitAction);
	
	/**
	 * Updates PursuitAction.
	 * 
	 * @param PursuitAction $pursuitAction
	 * @return boolean
	 */
	public function update(PursuitAction $pursuitAction);
	
	/**
	 * Deletes existing PursuitAction.
	 * 
	 * @param int $id PursuitAction ID 
	 * @return boolean
	 */
	public function delete($id);

	/**
	 * Gets PursuitAction.
	 * 
	 * @param int $id PursuitAction id
	 * @return PursuitAction or null if not found
	 */
	public function find($id);
}
