<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Pursuit RED team object class.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
class RedTeam extends Object
{
	/** @var int */
	private $eid;
	
	/** @var int */
	private $pursuitID;
	
	public function __construct()
	{
	}

    /**
     * Sets item ID.
     * 
     * @param string $eid
     */
	public function setID($eid)
	{
			$this->eid = Person::processEID($eid);
	}

    /**
     * Gets item ID.
     * 
     * @return int
     */
	public function getID()
	{
		return $this->eid;
	}	
	
    /**
     * Sets pursuit ID.
     * 
     * @param int $id
     */
	public function setPursuitID($id)
	{
		if ($id > 0)
			$this->pursuitID = $id;
		else
			throw new InvalidArgumentException('Pursuit ID must be integer greater than 0. Wrong param: '.$id);
	}

    /**
     * Gets pursuit ID.
     * 
     * @return int
     */
	public function getPursuitID()
	{
		return $this->pursuitID;
	}	
	
    /**
     * Returns full name formated as usual in western world with EID e.g. "Tom Clancy (E12345)".
     * 
     * @return string
     */
	public function getFullNameWithEID()
	{
		return ((($this->name) != '') ? $this->name . ' ' : '') . $this->surname . ' (' . $this->eid . ')';
	}
}