<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Helper for templates for reading data from global setting.
 */
class GlobalSettingReaderHelper
{

	/**
	 * Reads value from settings by key.
	 * 
	 * @param string $key Key/index/name of the setting value.
	 * @return mixed or NULL if not found.
	 * @todo Do not use Environment::getService
	 */
	public static function get($key)
    {
		$gs = Environment::getService('globalSetting');
		try
		{
			return $gs->get($key);
		}
		catch (RangeException $e)
		{
			return NULL;
		}
    }
	
}


