<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2014 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * SettingDisplayedContent definition.
 *
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
class SettingDisplayedContent extends Object
{	
	/** @var int User EID */
	private $eid;
	/** @var int ID of organization unit */
	private $organizationUnitID;
	
	/**
     * Sets EID.
     * @param string $eid User EID.
	 * @throws InvalidArgumentException
     */
	public function setEID($eid)
	{
		$this->eid = Person::processEID($eid);
	}
	
    /**
     * Gets EID.
     * @return string
     */
	public function getEID()
	{
		return $this->eid;
	}
	
	/**
     * Sets ID of organization unit.
     * @param int $id Must be positive integer.
	 * @throws InvalidArgumentException
     */
	public function setOrganizationUnitID($id)
	{
		if ($id > 0)
			$this->organizationUnitID = $id;
		else
			throw new InvalidArgumentException('Organization unit ID must be integer greater than 0. Wrong param: ' . $id);
	}
	
    /**
     * Gets ID of organization unit.
     * @return int
     */
	public function getOrganizationUnitID()
	{
		return $this->organizationUnitID;
	}	
}
