<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2015 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package utils
 */

/**
 * Interface for accessing statistics logger.
 *
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
interface IStatistics
{
	/** @const Type of action */
	const CLICK = 0, // Usage of button or link
	      VISIT = 1; // Visit of page

    /**
     * Validates action range
     *
     * @param int $action Should be in range of IStatistics::*
     * @return boolean True on success, false otherwise
     */
	public function validateAction($action);

    /**
	 * Logs statistics
	 * 
	 * @param string $detail
	 * @param int $action Should be in range IStatistics::*
	 * @return boolean True on success, false otherwise
	 */
    public function log($detail, $action = NULL);
}
